Bug 1258433 - [rfe] Enable support for xml.xz metadata
[rfe] Enable support for xml.xz metadata
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 07:32 EDT by Neal Gompa
Modified: 2016-09-13 06:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 04:56:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer (3.15 KB, text/plain)
2015-09-17 04:55 EDT, Radek Holy
no flags Details

  None (edit)
Description Neal Gompa 2015-08-31 07:32:31 EDT
Description of enhancement request:
As a complement to #1253850, DNF should support xml.xz metadata, so that if tools can create rpm-md and comps data compressed with xml.xz, DNF can decompress them and parse it.

Version-Release number of selected component (if applicable):
dnf-1.1.0-2.fc22
Comment 1 Honza Silhan 2015-09-01 09:15:38 EDT
libsolv supports lzma compression in F22. `-DENABLE_LZMA_COMPRESSION=1` is set. Which libsolv version do you use?
Comment 2 Neal Gompa 2015-09-08 17:25:41 EDT
I use what's in Fedora 22. I did see the ENABLE_LZMA_COMPRESSION flag being set, however, I thought that DNF does not use libsolv's repository management code, and instead relies on librepo and libcomps. To the best of my knowledge, librepo and libcomps do not support xml.xz metadata.
Comment 3 Radek Holy 2015-09-17 04:55:49 EDT
Created attachment 1074360 [details]
reproducer

It would be nice if you would provide some details based on what you have reopened the bug. So far, in this and in the other bug, I can see just some guesses.

As you can see, Fedora already uses xz-compressed "comps", "updateinfo" and "prestodelta" and DNF just works. I've spent a significant amount of time to re-test whether DNF works with "filelists.xml.xz", "other.xml.xz" and "primary.xml.xz" as well. See the attachment.

So, if there is a particular situation where DNF doesn't seem to work with a XZ-compressed file, please share it with us including the tracebacks, coredumps and error messages. Otherwise, I'd like to spent my time with real issues.
Comment 4 Honza Silhan 2016-09-13 06:24:33 EDT
this was changed long time ago to compile libsolv with xz support. AFAIK librepo downloads any compression format.

Note You need to log in before you can comment on or make changes to this bug.